org.apache.storm.hbase.common

## Class HBaseClient

- java.lang.Object
- - org.apache.storm.hbase.common.HBaseClient

- All Implemented Interfaces:
    Closeable, AutoCloseable

      public class HBaseClient
      extends Object
      implements Closeable

  HBase client for constructing requests and do actual interaction with HBase.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HBaseClient(Map<String,Object> map, org.apache.hadoop.conf.Configuration configuration, String tableName)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.apache.hadoop.hbase.client.Result[]` | `batchGet(List<org.apache.hadoop.hbase.client.Get> gets)`
    `void` | `batchMutate(List<org.apache.hadoop.hbase.client.Mutation> mutations)`
    `void` | `close()`
    `org.apache.hadoop.hbase.client.Get` | `constructGetRequests(byte[] rowKey, HBaseProjectionCriteria projectionCriteria)`
    `List<org.apache.hadoop.hbase.client.Mutation>` | `constructMutationReq(byte[] rowKey, ColumnList cols, org.apache.hadoop.hbase.client.Durability durability)`
    `boolean` | `exists(org.apache.hadoop.hbase.client.Get get)`
    `org.apache.hadoop.hbase.client.ResultScanner` | `scan(byte[] startRow, byte[] stopRow)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HBaseClient

          public HBaseClient(Map<String,Object> map,
                             org.apache.hadoop.conf.Configuration configuration,
                             String tableName)

  - ### Method Detail

    - #### constructMutationReq

          public List<org.apache.hadoop.hbase.client.Mutation> constructMutationReq(byte[] rowKey,
                                                                                    ColumnList cols,
                                                                                    org.apache.hadoop.hbase.client.Durability durability)

    - #### batchMutate

          public void batchMutate(List<org.apache.hadoop.hbase.client.Mutation> mutations)
                           throws Exception

      Throws:
        `Exception`

    - #### constructGetRequests

          public org.apache.hadoop.hbase.client.Get constructGetRequests(byte[] rowKey,
                                                                         HBaseProjectionCriteria projectionCriteria)

    - #### batchGet

          public org.apache.hadoop.hbase.client.Result[] batchGet(List<org.apache.hadoop.hbase.client.Get> gets)
                                                           throws Exception

      Throws:
        `Exception`

    - #### scan

          public org.apache.hadoop.hbase.client.ResultScanner scan(byte[] startRow,
                                                                   byte[] stopRow)
                                                            throws Exception

      Throws:
        `Exception`

    - #### exists

          public boolean exists(org.apache.hadoop.hbase.client.Get get)
                         throws Exception

      Throws:
        `Exception`

    - #### close

          public void close()
                     throws IOException

      Specified by:
        `close` in interface `Closeable`
      Specified by:
        `close` in interface `AutoCloseable`
      Throws:
        `IOException`

Copyright © 2021 The Apache Software Foundation. All rights reserved.